<?php

namespace Assetdocs\Depart\Repositories\Eloquent;

use Assetdocs\Depart\Interfaces\DepartRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DepartRepository extends BaseRepository implements DepartRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.depart.depart.search');
        return config('package.depart.depart.model');
    }
}
