<div class="container">
    <h1> Departs</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($departs as $depart)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $depart['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('depart') }}/{!! $depart->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('cms.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('depart::depart.label.id') !!}
                </label><br />
                    {!! $depart['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('depart::depart.label.user_id') !!}
                </label><br />
                    {!! $depart['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="code">
                    {!! trans('depart::depart.label.code') !!}
                </label><br />
                    {!! $depart['code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('depart::depart.label.slug') !!}
                </label><br />
                    {!! $depart['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('depart::depart.label.name') !!}
                </label><br />
                    {!! $depart['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="email_manager">
                    {!! trans('depart::depart.label.email_manager') !!}
                </label><br />
                    {!! $depart['email_manager'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="mobile_manager">
                    {!! trans('depart::depart.label.mobile_manager') !!}
                </label><br />
                    {!! $depart['mobile_manager'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="email_hod">
                    {!! trans('depart::depart.label.email_hod') !!}
                </label><br />
                    {!! $depart['email_hod'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="mobile_hod">
                    {!! trans('depart::depart.label.mobile_hod') !!}
                </label><br />
                    {!! $depart['mobile_hod'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_id">
                    {!! trans('depart::depart.label.company_id') !!}
                </label><br />
                    {!! $depart['company_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('depart::depart.label.status') !!}
                </label><br />
                    {!! $depart['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('depart::depart.label.description') !!}
                </label><br />
                    {!! $depart['description'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('depart::depart.label.created_at') !!}
                </label><br />
                    {!! $depart['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('depart::depart.label.updated_at') !!}
                </label><br />
                    {!! $depart['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('depart::depart.label.deleted_at') !!}
                </label><br />
                    {!! $depart['deleted_at'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <h4 class="text-dark  header-title m-t-0">No modules</h4>
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$departs->render()}}
        </div>
        <div class="col-md-4">
            @include('depart::public.depart.aside')
        </div>
    </div>
</div>